<!DOCTYPE html>
<html lang="es">
       
<head>
    <meta charset="utf-8"> 
    <meta content="width=device-width, initial-scale=1" name="viewport" />   
    <title> EXAMEN	</title>

</head>


<body>	
    <form  action="" method="POST" id="form">  
        <h1>Formulario</h1>  <br>

        <label for=""> Codigo</label>
        <input type="text" name="" id="cd" >  <br>
                
        <label for=""> Marca</label>
        <input type="text" name="" id="marca" ><br>
                
        <label for=""> Modelo</label>
        <input type="text" name="" id="modelo" ><br>
                
        <label for=""> Año</label>
        <input type="date" name="" id="ano"><br>
                
        <label for=""> Fecha Inicial</label>
        <input type="date" name="" id="fi" ><br>
                
        <label for=""> Fecha Final</label>
        <input type="date" name="" id="ff"><br>

        <button onclick="enviar()" >Registrarse</button>
        
        <script>
            function enviar()
            {
            var  cd = document.getElementById("cd")
            var marca = document.getElementById("marca")
            var modelo = document.getElementById("modelo")
            var ano = document.getElementById("ano")
            var fi = document.getElementById("fi")
            var ff = document.getElementById("ff")
            var form = document.getElementById("form")

            form.addEventListener("submit", e=>{
                e.preventDefault()
                let entrar = false
                
                if(cd.value.length <5){
                    warnings += `¡¡El codigo tiene que ser de 5 caracteres!!<br>`
                    entrar = true
                }
                if(marca.value.length <50){
                    warnings += `¡¡El codigo tiene que ser de 5 caracteres!!<br>`
                    entrar = true
                }
                if(modelo.value.length <30){
                    warnings += `¡¡El codigo tiene que ser de 5 caracteres!!<br>`
                    entrar = true
                }
                if(ano.value.length <4 ){
                    alert(`Ingrese el año`);
                    form.ano.value="";
                    form.fefinal.focus();
                    entrar = true
                
                }
                if(form.fi.value==0){
                    alert(`Ingrese una fecha inicial`);
                    form.fi.value="";
                    form.fi.focus();
                    entrar = true
                }
                if(form.ff.value==0){
                    alert(`Ingrese una fecha final`);
                    form.ff.value="";
                    form.ff.focus();
                    entrar = true
                }
                if (Date.parse(ff) < Date.parse(fi)) {
                    alert(` Las fechas ingresadas no estan correctas`) ;
                    form.ff.value="";
                    form.ff.focus();
                    entrar = true
                }
            }
            )
        }
        </script>
    </form>	
     
</body>

</html>